Advanced search  

News:

cpg1.5.48 Security release - upgrade mandatory!
The Coppermine development team is releasing a security update for Coppermine in order to counter a recently discovered vulnerability. It is important that all users who run version cpg1.5.46 or older update to this latest version as soon as possible.
[more]

Pages: [1]   Go Down

Author Topic: cpmFetch Strict Standard errors  (Read 3329 times)

0 Members and 1 Guest are viewing this topic.

Adariel

  • Coppermine newbie
  • Offline Offline
  • Posts: 5
cpmFetch Strict Standard errors
« on: January 04, 2015, 11:44:47 pm »

I recently got my host to upgrade to PHP 5.4 and suddenly had a bunch of "Strict Standards" errors on my CPG install.  Well, I upgraded my install to 1.5.34 and some of them went away, but I still had this one on the cpmFetch pages:

Strict Standards: Declaration of cpm::debugPrint() should be compatible with cpm_dao::debugPrint() in /path/to/cpg/cpmfetch/cpmfetch.php on line 50

After a lot of time online and Google and PHP.net, I narrowed it down and found this solution ...

In [cpg]/cpmfetch/cpmfetch_dao.php and find:
Code: [Select]
/**
*
* @access private
*/
function debugPrint( ) {

}

Replace it with:
Code: [Select]
/**
*
* @access private

function debugPrint( ) {

}
*/

Essentially you just have to comment out that empty function which is making PHP throw a fit.  You may need to refresh your pages and/or clear your cache, but this is what worked for me.  Good Luck!!
Logged

phill104

  • Administrator
  • Coppermine addict
  • *****
  • Country: gb
  • Offline Offline
  • Gender: Male
  • Posts: 4849
    • Windsurf.me
Re: cpmFetch Strict Standard errors
« Reply #1 on: January 05, 2015, 08:42:45 am »

Thanks for the fix. Sadly, the developer of CPMfetch hasn't been around for a long time. It is a great addition to CPG and it would be a shame to loose it.
Logged
It is a mistake to think you can solve any major problems just with potatoes.
Pages: [1]   Go Up
 

Page created in 0.016 seconds with 19 queries.